Bug 443764 - powertop suggests hal-disable-polling when it shouldn't
powertop suggests hal-disable-polling when it shouldn't
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: powertop (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 03:39 EDT by Thomas Müller
Modified: 2009-07-14 10:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:58:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Müller 2008-04-23 03:39:18 EDT
Description of problem:
powertop suggests to call hal-disable-polling even though polling is already
disabled for all drives


Version-Release number of selected component (if applicable):
powertop-1.9-3.fc9.x86_64
hal-0.5.11-0.6.rc2.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. disable polling for all drives
2. run powertop

Actual results:
powertop suggests to call hal-disable-polling

Expected results:
powertop should detect that polling is already disabled

Additional info:
powertop suggests to disable polling on device /dev/scd0.
However, scd0 is just a symlink to sr0 and polling on sr0 is disabled.


$ ps -ef --forest | grep hal
68        1995     1  0 09:22 ?        00:00:00 hald
root      1999  1995  0 09:22 ?        00:00:00  \_ hald-runner
root      2079  1999  0 09:22 ?        00:00:00      \_ hald-addon-input:
Listening on /dev/input/event2 /dev/input/event1 /dev/input/event4 /dev/input/event3
root      2092  1999  0 09:22 ?        00:00:00      \_ hald-addon-storage: no
polling on /dev/sdc because it is explicitly disabled
root      2094  1999  0 09:22 ?        00:00:00      \_
/usr/libexec/hald-addon-cpufreq
68        2095  1999  0 09:22 ?        00:00:00      \_ hald-addon-acpi:
listening on acpid socket /var/run/acpid.socket
root      2096  1999  0 09:22 ?        00:00:00      \_ hald-addon-storage: no
polling on /dev/sdd because it is explicitly disabled
root      2098  1999  0 09:22 ?        00:00:00      \_ hald-addon-storage: no
polling on /dev/sde because it is explicitly disabled
root      2100  1999  0 09:22 ?        00:00:00      \_ hald-addon-storage: no
polling on /dev/sdf because it is explicitly disabled
root      2126  1999  0 09:22 ?        00:00:00      \_ hald-addon-storage: no
polling on /dev/sr0 because it is explicitly disabled
Comment 1 Thomas Müller 2008-05-14 03:49:23 EDT
As additional information:

I just pulled the upstream svn repository and it also (wrongly) suggests to call
hal-disable-polling.
Comment 2 Thomas Müller 2008-05-14 04:33:48 EDT
Hmm... I guess it's because of hal's new behavior.

Older versions of hal killed the hald-addon-storage process when polling was
disabled. Now there is a hald-addon-storage process running for every relevant
device, even if polling is disabled on all of them.

powertop then detects these processes and suggests to disable polling. 
Comment 3 Bug Zapper 2008-05-14 06:00:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 20:22:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:58:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.